/*
 * Copyright (c) 2009, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: ViewScopedPublicBean.java 62525 2011-04-15 12:14:31Z dougd $
 */

package com.sun.ts.tests.jsf.spec.el.managedbean.common;

import javax.annotation.PostConstruct;
import javax.annotation.PreDestroy;
import java.io.Serializable;

public class ViewScopedPublicBean extends ScopedBean implements Serializable {

    public @PostConstruct void onPostConstruct() {
	setPostConstructProperty("view public PostConstruct method invoked");
    }

    public @PreDestroy void onPreDestroy() {
	PreDestroyProp.setPreDestroyProperty("view public PreDestroy method invoked");
    }

    public ViewScopedPublicBean() {
        System.out.println("ViewScopedPublicBean created.");
    }
}